* {
  box-sizing: border-box; /* faz com que largura (width) e altura (height) incluam a borda (border) e o espaçamento interno (padding) */
}

.container {
  max-width: 960px; /*default max-width of Skeleton is 960px*/
     }
.header {
  margin-top: 6rem;
  text-align: center; }

ul.tab-nav {
    margin-bottom: 1.2rem;
}

input[type="checkbox"] {
    /* display: none; */
    text-decoration: none;
    color: #fff;
    background-color: #33C3F0;
    -moz-border-radius: 6px;
    border-radius: 6px;
    padding: 2px 4px 2px 4px;
}

.label-body{
    -moz-border-radius: 6px;
    border-radius: 6px;
    padding: 2px 4px 2px 4px;
}

.label-body:hover {
    cursor: pointer;
    cursor: hand;
    text-decoration: none;
    color: #000;
    background-color: lightgray;
    -moz-border-radius: 6px;
    border-radius: 6px;
    padding: 2px 4px 2px 4px;
}

input[type="checkbox"]:checked + .label-body {
    text-decoration: none;
    color: #fff;
    background-color: #33C3F0;
    -moz-border-radius: 6px;
    border-radius: 6px;
    padding: 2px 4px 2px 4px;
}

input[type="datetime-local"] {
    height: 38px;
    padding: 6px 10px;
    background-color: #fff;
    border: 1px solid #D1D1D1;
    border-radius: 4px;
    box-shadow: none;
    box-sizing: border-box;
}

label{
  display: inline;
}
.image-cropper {
    width: 100px;
    height: 100px;
    position: relative;
    display: inline-block;
    overflow: hidden;
    margin: 8px;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    border-radius: 50%;
}

hr {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

img {
  /* border-radius: 6px; */
}

.general-user-photo {
   display: inline-block;
    margin: 0 auto;
    height: 100px;
    width: auto;
    z-index: 1;
}


.plussign {
    position: absolute;
    font-size: 600%;
    font-weight: bold;
    text-shadow: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white;
    border-radius: 25px;
    top: 0;
    color:#000;
    background-color:rgba(255,255,255,0.8);
    width: 100px;
    height: 100px;
    line-height:100px;
    text-align: center;
    opacity: 0;

}
.plussign:hover {
    opacity:0.5;
}


h1, h2, h3, h4, h5, h6 {
    margin-bottom: 0;
    line-height: 3.3rem;
}

/* esconde navbar */
.navbar {
  display: none; }


/* esconde botao upload */
.upload-button {
  display: none; }


/* Esconde abas 
.tab-nav {
  display: none;
}*/

/* fotinho do usuario */
.user-photo {
display: none;
}

.user-photo-text {
display: none;
}

.topright {
float: right;
margin-top: 1.0rem;
display: none;
}

.erro {
  font-weight: 600;
  color: red; 
}


/* alinha usuario */
.usuario {
  text-align: center; }

  /* alinha logotipo */
.logotipo {
  text-align: center; }

/* esconde opiniao */
#opiniao {
  display: none; }

a.article {
    color: #000;
    text-decoration: none;
}
a.article:link {
    color: #000;
    text-decoration: none;
}

/*
a.article:hover {
    color: #33C3F0;
    text-decoration: none;
}
*/

a.colorback {
    text-decoration: none;
    -moz-border-radius: 6px;
    border-radius: 6px;
    padding: 2px 4px 2px 4px;
}

a.colorback:hover {
    text-decoration: none;
    color: #fff;
    background-color: #33C3F0;
    -moz-border-radius: 6px;
    border-radius: 6px;
    padding: 2px 4px 2px 4px;
}

.shadow {
   -moz-box-shadow:    2px 2px 10px black;
   -webkit-box-shadow: 2px 2px 10px black;
   box-shadow:         2px 2px 10px black;
}

.round {
  border-radius: 500px;
}

ul.tab-nav li a.button {
  padding: 5px 5px;
}

.tab-icon {
width: 20px;
height: 20px;
vertical-align: middle;
}

/* esconde texto das abas */
  .tab-text {
  display: none;
  }


/* bubble */
.bubble {
    background:#e8e8e8;
    padding: 10px; /* espaco em branco por dentro do balao */
    margin: 10px; /* espaco em branco por fora do balao */
    position:relative;
    border-radius:6px; /* arredondamento do balao */
}

.bubble:after {
    content:"";
    width:0;
    height:0;
    border-top: 5px solid transparent; /* medida do triangulo */
    border-bottom: 5px solid transparent; /* medida do triangulo */
    border-left: 40px solid #e8e8e8; /* comprimento da setinha -- tem que ser igual o de baixo */
    right:-40px; /* comprimento da setinha -- tem que ser igual o de cima */
    position: absolute;
    top: 20px; /* distancia do triangulo até o topo do balao */
}

input{
margin-bottom: 1.0rem; 
}

/* pace  ---- loading bar on top */


.pace {
  -webkit-pointer-events: none;
  pointer-events: none;

  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.pace-inactive {
  display: none;
}

.pace .pace-progress {
  background: #ff0000;
  position: fixed;
  z-index: 2000;
  top: 0;
  right: 100%;
  width: 100%;
  height: 2px;
}

/* /pace  ---- loading bar on top */


.cardgray {
    background:#e8e8e8;
    padding: 2rem; /* espaco em branco por dentro do balao */
    position:relative;
    border-radius: 1rem; /* arredondamento do balao */
    margin-bottom: 1rem;
}

.cardwhite {
    background: white;
    padding: 2rem; /* espaco em branco por dentro do balao */
    position:relative;
    border-radius: 1rem; /* arredondamento do balao */
    border-style: solid;
    border-width: thin;
    margin-bottom: 1rem;
}


ul.tab-nav li a.button {
  padding: 8px 2px;
}

/* Mobile first queries */

/* Larger than mobile */
@media (min-width: 400px) {

  /* Abas */ 
  .tab-nav {
  display: block;
  }

  ul.tab-nav li a.button {
  padding: 8px 8px;
  }

  /* alinha usuario */
  .usuario {
  text-align: center;
  }

  /* alinha logotipo */
  .logotipo {
  text-align: center;
  }

}

/* Larger than phablet --- skeleton quebra aqui padrao... */
@media (min-width: 550px) {
  .header {
  margin-top: 18rem;
  }

  #opiniao {
  display: block;
  }

  /* fotinho do usuario */
  .user-photo {
  width: 70px;
  height: 70px;
  display: inline-block;
  float: right;
  margin: 0px 0px 0px 15px;
  }

  .user-photo-text {
  display: inline-block;
  }

  /* alinha logotipo */
  .logotipo {
  text-align: left; }

  /* alinha usuario */
  .usuario {
  text-align: right; }

}


/* Larger than tablet */
@media (min-width: 750px) {

  /* fotinho do usuario */
  .user-photo {
  width: 100px;
  height: 100px;
  display: inline-block;
  float: right;
  margin: -10px 0px 0px 10px;
  }


  .user-photo-text {
    display: inline-block;
  }

  /* alinha usuario */
  .usuario {
    text-align: right; }

}



/* Larger than desktop */
@media (min-width: 1000px) {

  ul.tab-nav li a.button {
  padding: 0 10px;
  }


  /* mostra texto das abas*/
    .tab-text {
    display: inline-block;
    }

  /* fotinho do usuario */
  .user-photo {
  width: 100px;
  height: 100px;
  display: inline-block;
  float: right;
  margin: -10px 0px 0px 15px;
  }


  .user-photo-text {
    display: inline-block;
  }


  /* mostra botao upload */
  .upload-button {
    display: inline-block; }    

}



/* WHOSON, between 600 a 1000px */
@media all and (min-width:600px) and (max-width:1000px){
  .topright {
    display: block;
  }
}
/* WHOSON, above 1180px*/
@media all and (min-width: 1180px) {
  .topright {
    display: block;
  }
}



/* Floating and Scaling */

.floating{
    /*float: left;*/
    -webkit-animation-name: Floatingx;
    -webkit-animation-duration: 1s;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: ease-in-out;
    -moz-animation-name: Floating;
    -moz-animation-duration: 1s;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: ease-in-out;
    margin-left: 5px;
    margin-top: 5px;
}

@-webkit-keyframes Floatingx{
    from {-webkit-transform:translate(0, 0px);}
    65% {-webkit-transform:translate(0, 5px);}
    to {-webkit-transform: translate(0, 0px);}    
}

@-moz-keyframes Floating{
    from {-moz-transform:translate(0, 0px);}
    65% {-moz-transform:translate(0, 2px);}
    to {-moz-transform: translate(0, 0px);}    
}

.scaling{
    /*float: left;*/
    -webkit-animation-name: scalex;
    -webkit-animation-duration:0.6s;
    -webkit-animation-iteration-count:infinite;
    -webkit-animation-timing-function:ease-in-out;
    -moz-animation-name: scale;
    -moz-animation-duration:0.6s;
    -moz-animation-iteration-count:infinite;
    -moz-animation-timing-function:ease-in-out;
}
    @-webkit-keyframes scalex{
        from {-webkit-transform: scale(1.0);}
        65% {-webkit-transform: scale(1.2);}
        to {-webkit-transform: scale(1.0);}    
    }
    @-moz-keyframes scale{
        from {-moz-transform: scale(1.0);}
        65% {-moz-transform: scale(1.2);}
        to {-moz-transform: scale(1.0);}    
    }

/* Shaking */

    @keyframes spaceboots{
    0% { transform: translate(2px, 1px) rotate(0deg); }
    10% { transform: translate(-1px, -2px) rotate(-1deg); }
    20% { transform: translate(-3px, 0px) rotate(1deg); }
    30% { transform: translate(0px, 2px) rotate(0deg); }
    40% { transform: translate(1px, -1px) rotate(1deg); }
    50% { transform: translate(-1px, 2px) rotate(-1deg); }
    60% { transform: translate(-3px, 1px) rotate(0deg); }
    70% { transform: translate(2px, 1px) rotate(-1deg); }
    80% { transform: translate(-1px, -1px) rotate(1deg); }
    90% { transform: translate(2px, 2px) rotate(0deg); }
    100% { transform: translate(1px, -2px) rotate(-1deg); }
    }

    @-moz-keyframes spaceboots{
    0% { -moz-transform: translate(2px, 1px) rotate(0deg); }
    10% { -moz-transform: translate(-1px, -2px) rotate(-1deg); }
    20% { -moz-transform: translate(-3px, 0px) rotate(1deg); }
    30% { -moz-transform: translate(0px, 2px) rotate(0deg); }
    40% { -moz-transform: translate(1px, -1px) rotate(1deg); }
    50% { -moz-transform: translate(-1px, 2px) rotate(-1deg); }
    60% { -moz-transform: translate(-3px, 1px) rotate(0deg); }
    70% { -moz-transform: translate(2px, 1px) rotate(-1deg); }
    80% { -moz-transform: translate(-1px, -1px) rotate(1deg); }
    90% { -moz-transform: translate(2px, 2px) rotate(0deg); }
    100% { -moz-transform: translate(1px, -2px) rotate(-1deg); }
    }

    @-webkit-keyframes spaceboots {
    0% { -webkit-transform: translate(2px, 1px) rotate(0deg); }
    10% { -webkit-transform: translate(-1px, -2px) rotate(-1deg); }
    20% { -webkit-transform: translate(-3px, 0px) rotate(1deg); }
    30% { -webkit-transform: translate(0px, 2px) rotate(0deg); }
    40% { -webkit-transform: translate(1px, -1px) rotate(1deg); }
    50% { -webkit-transform: translate(-1px, 2px) rotate(-1deg); }
    60% { -webkit-transform: translate(-3px, 1px) rotate(0deg); }
    70% { -webkit-transform: translate(2px, 1px) rotate(-1deg); }
    80% { -webkit-transform: translate(-1px, -1px) rotate(1deg); }
    90% { -webkit-transform: translate(2px, 2px) rotate(0deg); }
    100% { -webkit-transform: translate(1px, -2px) rotate(-1deg); }
    } 
  
  .shaking {
  -webkit-animation-name:spaceboots;
  -moz-animation-name:spaceboots;
  -o-animation-name:spaceboots;
  animation-name:spaceboots;
  -webkit-animation-duration:2s;
  -moz-animation-duration:2s;
  -o-animation-duration:2s;
  animation-duration:2s;
  -webkit-transform-origin:50% 50%;
  -moz-transform-origin:50% 50%;
  -o-transform-origin:50% 50%;
  transform-duration:50% 50%;
  -webkit-animation-iteration-count:infinite;
  -moz-animation-iteration-count:infinite;
  -o-animation-iteration-count:infinite;
  animation-iteration-count:infinite;
  -webkit-animation-timing-function:linear;
  -moz-animation-timing-function:linear;
  -o-animation-timing-function:linear;
  animation-timing-function:linear;
  }

/* Alert */

.alert {
    padding: 5px;
    background-color: #f44336;
    color: white;
    text-align: center;
}

.closebtn {
    position: absolute;
    bottom: 5px>;
    right: 5px;
    margin-left: 5px;
    margin-right: 5px;
    color: white;
    font-weight: bold;
    float: right;
    font-size: 4rem;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
}

.closebtn:hover {
    color: black;
}


/* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    background-color: #333; /* Black background color */
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 10px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1; /* Add a z-index if needed */
    //left: 50%; /* Center the snackbar */
    //bottom: 30px; /* 30px from the bottom */
    bottom: 30px;
    right: 30px;
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
    visibility: visible; /* Show the snackbar */

    /* Add animation: Take 0.5 seconds to fade in and out the snackbar. 
    However, delay the fade out process for 2.5 seconds */
    -webkit-animation: fadein 0.5s, fadeout 0.5s 6s;
    animation: fadein 0.5s, fadeout 0.5s 10s;
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;} 
    to {bottom: 10px; opacity: 1;}
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 10px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {bottom: 10px; opacity: 1;} 
    to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
    from {bottom: 10px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}

.autor {
  font-size: 1.3rem;
  font-style: italic;
}

.popularidade {
  display: inline-block;
  color: yellow;
  height: 5px;
}

.visualizacoes {
    padding: 3px;
    font-size: 1.3rem;
    font-style: italic;
}

.blink {
  animation: blinker 1.5s cubic-bezier(.5, 0, 1, 1) infinite alternate;  
}
@keyframes blinker {  
  from { opacity: 1; }
  to { opacity: 0; }
}

.livecontainer {
  width: 100%;
  height: 100vh; /* Use 100% of the viewport height, adjust as needed */
  /* overflow: hidden; */ /* Hide scrollbars for the container */
}

.liveiframe {
  width: 100%;
  height: 100%;
  border: 0; /* Remove iframe border if needed */
}